﻿@using PagedList
@using PagedList.Mvc
@using Xtoman.Domain.Models
@using Xtoman.Utility
@model IEnumerable<UserViewModel>
@{
    var TotalVerified = (int)ViewBag.TotalVerified;
    var TotalLoyal = (int)ViewBag.TotalLoyal;
}

<style>
    table th, tr {
        text-align: center;
        vertical-align: middle;
    }

    .lbl-api {
        vertical-align: middle;
        color: white;
        letter-spacing: 1px;
        font-weight: bold;
    }

    .action-btn {
        margin: 1px;
        padding: 0;
    }

        .action-btn a {
            color: #fff;
        }

        .action-btn i {
            padding: 2px;
            height: 20px;
            width: 20px;
            display: block
        }

    .btn-preview {
        background-color: chocolate;
        color: white;
    }

    .btn-edit {
        background-color: forestgreen;
        color: white;
    }

    .btn-voucher {
        background-color: slateblue;
        color: white;
    }

    .btn-receipt {
        background-color: palevioletred;
        color: white;
    }

    .royal-customer {
        background-color: rgba(255,225,0,1);
        color: #333;
        text-align: center;
        margin: 5px;
        padding: 5px;
    }

        .royal-customer i {
            text-shadow: 1px 1px 1px rgba(50, 50, 50, 0.5);
            font-weight: 900;
        }
</style>
<div class="col-md-12" style="line-height: 25px; vertical-align: middle;">
    <div class="row">
        <div class="col-md-4">
            تعداد کل نتایج: <b>@ViewBag.TotalCount</b>
        </div>
        <div class="col-md-4">
            احراز هویت شده کل نتایج: <b>@TotalVerified</b>
        </div>
        <div class="col-md-4">
            مشتری وفادار کل نتایج: <b>@TotalVerified</b>
        </div>
    </div>
</div>

<div class="col-12">
    <div class="card-box table-responsive">
        @Html.DataTables(
                                    @<thead>
                                        <tr>
                                            <th style="width:10px;">
                                                @Html.DisplayNameFor(model => model.Id)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.FullName)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Email)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.PhoneNumber)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.ReferrerUserName)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.RegDate)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.VerifyStatus)
                                            </th>
                                            <th>
                                                <span>عملیات</span>
                                            </th>
                                        </tr>
                                    </thead>,
            @<tbody>
                @foreach (var mod in Model)
                         {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Id)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.FullName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Email)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.PhoneNumber)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.ReferrerUserName)
                        </td>
                        <td>
                            @mod.RegDate.ToFaDateTimeZone();
                        </td>
                        <td>
                            <span style="color:@mod.VerifyStatus.ToDisplay(DisplayProperty.GroupName);">@mod.VerifyStatus.ToDisplay(DisplayProperty.Name)</span>
                        </td>
                        <td>
                            <div class="btn-group">
                                @Html.ActionLink("مشاهده", "Detail", new { id = mod.Id }, new { @class = "btn btn-primary" })
                                @Html.ActionLink("ویرایش", "Edit", new { id = mod.Id }, new { @class = "btn btn-warning" })
                                <a onclick="@Html.DeleteModal(mod.Id);" class="btn btn-danger">حذف</a>
                            </div>
                        </td>
                    </tr>
                         }
            </tbody>)
    </div>
    <div id="contentPager" class="text-center">
        @Html.PagedListPager((IPagedList)Model, page => Url.Action("Search", new { page }), Html.GetPagedListRenderOptions())
    </div>
</div>